

@font-face {
  font-family: "Lora";
  src: url("../fonts/Lora-Regular.ttf");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Oswald";
  src: url("../fonts/oswald-medium.ttf");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}


* {
  margin: 0;
  padding: 0;
}

*,
::before,
::after {
  box-sizing: border-box;
}

html {
  line-height: 1.7em;
  -webkit-text-size-adjust: 100%;
}
 
.clearfix::after {
  content: "";
  clear: both;
  display: table;
}

html {
  font-size: 16px;
}

body {
  font-family: Lora;
  font-size: 1rem;
  margin: 0;
  padding: 0;
  margin: 0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

li,
ol {
  list-style: none;
  margin: 0;
  padding: 0;
}

img,
svg,
video,
canvas,
audio,
iframe,
embed,
object {
  display: block;
  vertical-align: middle;
}

h1 {
  font-size: 1.5em;
  padding: 1.25em 0 0.25em 0;
}

h2 {
  font-size: 1.39em;
  padding: 1.25em 0 0.25em 0;
}

h3 {
  font-size: 1.25em;
  padding: 0.75em 0 0.15em 0;
}

h4 {
  font-size: 1.15em;
  padding: 0.75em 0 0.15em 0;
}

h5 {
  font-size: 1.1em;
  padding: 0.75em 0 0.15em 0;
}

h6 {
  font-size: 1em;
  padding: 0.75em 0 0.15em 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  color: #454545;
  font-family: Oswald, Sans-Serif;
  font-weight: 500;
  text-transform: uppercase;
}

code,
pre {
  font-family: a;
}

a {
  color: inherit;
  cursor: pointer;
  text-decoration: none;
}

a:link {
  color:#ff4545;
}

a:visited {
  color:#ff4545;
}

a:hover {
  color:#ff9797;
}

a:active {
  color:#ca2727;
}

/* figure {
} */

p {
  text-align: justify;
  text-justify: newspaper;
}

.error {
  color:#ca2727;
  font-weight: 500;
}


.main {
  color: #454545;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding-top: 6.5em;
}

.story {
  max-width: 48em;
  padding-top: 2em;
}

p:first-child {
  padding-top: 0em !important;
}

.story > p:first-of-type::first-letter {
  float: left;
  font-size: 7em;
  line-height: 0.8;
  margin: 0.05em 0.1em 0 0;
  text-transform: uppercase;
  font-style: normal;
}

.story > p,
.story > header,
.story > *:not(div, h1, h2, h3, h4, h5, h6, figure, img) {
  padding-top: 2.5em;
}

.story > h3 + p {
  padding-top: 2.0em;
}

.story > h1, .story > h2, .story > h3, .story > h4, .story > h5, .story > h6 {
  padding-top: 2.5em;
}

.story > ul {
  padding: 0;
  padding-left: 1em;
  margin: 0;
}

.story > ul > li {
  font-size: 0.9em;
  list-style-type: square !important;
}

.story > figure,
.story > img,
.story > .full-width {
  padding-top: 1.5em;
}

.story > figure,
.story > img,
.story > .full-width {
  margin-left: calc(50% - 50vw);
  margin-right: calc(50% - 50vw);
}

.story > .width-80 {
  margin-left: calc(50% - 40vw);
  margin-right: calc(50% - 40vw);
}

.story > .wider {
  margin-left: calc(50% - 36vw);
  margin-right: calc(50% - 36vw);
}

.story > iframe {
  width: 48em;
  height: 32em;
}

.story figure {
  overflow: hidden;
}

.story figure img {
  cursor: pointer;
  transform: rotate(0) scale(1);
  transition: 0.35s ease-in-out;
}

.story figure img:hover {
  transform: rotate(0.2deg) scale(1.01);
  filter: hue-rotate(-5deg) brightness(1.15);
  transition: 1s ease-in-out;
}


.comments-container {
  display: flex;
  max-width: 48em;
  margin-left: calc(50% - 24vw);
  margin-right: calc(50% - 24vw);
  padding-top: 3em;
  padding-bottom: 2em;
  flex-direction: column;
  gap: 2em;
}

.avatar {
  display: flex;
  width: 4em;
  height: 4em;
  border-radius: 50%;
  background-color: #afafaf;
  align-items: center;
  justify-content: center;
}



.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(160px, 1fr));
  grid-template-rows: repeat(auto-fit, 200px);
  /* grid-template-rows: repeat(6, 200px); */
  grid-gap: 0.5rem;
  grid-auto-flow: dense;
  padding-top: 2.5em;
  padding-bottom: 2.5em;
}

.gallery > li:nth-child(4n) {
  grid-column: span 2;
  grid-row: span 2;
}

.gallery > li:nth-child(8n) {
  grid-column: span 3;
  grid-row: span 3;
}

.gallery > li > figure {
  height: 100%;
}

.gallery > li > figure > img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  cursor: pointer;
}

.gallery > li > figure > img:hover {
  transform: rotate(0.3deg) scale(1.05);
}
.gallery > li > figure > img {
  transform: rotate(0) scale(1);
}

.cards-pack {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(30em, 1fr));
  grid-gap: 2rem;
  grid-auto-flow: dense;
  margin-left: 10rem;
  margin-right: 10rem;
}

.card {
  position: relative;
  aspect-ratio: 3 / 2;
  overflow: hidden;
}

.card > *:not(img) {
  padding: 1em;
}

.card > .card-title {
  position: absolute;
  background: #ffffff;
  top: 1em;
  left: 1em;
  max-width: calc(100% - 2em);
}

.card > .card-image {
  aspect-ratio: 3 / 2;
}

.card > .card-description {
  display: inline;
  position: absolute;
  bottom: 3em;
  left: 1em;
  right: 1em;
}

.card > .card-description > p {
  display: inline;
  background: #ffffff;
  color: #454545;
  box-shadow: 0 0 0 0.5em #ffffff;
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
  font-size: 0.8rem;
  line-height: 1.5rem;
}

.card > .card-badge {
  position: absolute;
  color: #ffffff;
  font-size: 0.8rem;
  font-family: Oswald, Sans-Serif;
  font-weight: 400;
  text-transform: uppercase;
  bottom: 0em;
  left: 1em;
}

.card img {
  object-fit: cover;
  transform: rotate(0) scale(1);
  transition: 0.25s ease-in-out;
}

.card img:hover {
  transform: rotate(0.2deg) scale(1.01);
  filter: hue-rotate(15deg) brightness(1.2);
  transition: 0.5s ease-in-out;
}

.navigation-strip {
  position: fixed;
  z-index: 20;
  top: 0;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  width: 100vw;
  background-color: rgba(255, 255, 255, 0.88);
  font-family: Oswald, Sans-Serif;
  font-weight: 400;
  text-transform: uppercase;
  padding: 2em;

  gap: 3rem;
}

.navigation-strip ul {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  flex-wrap: wrap;
  gap: 3rem;
}

.navigation-strip ul li {
  white-space: nowrap;
}

.navigation-strip ul li a:not(:hover) {
  color: black;
  transition: 0.2s ease-in-out;
}

.navigation-strip ul li a:hover {
  color: rgb(245, 225, 51);
  transition: 0.2s ease-in-out;
}

.galleryBackground {
  position: fixed;
  display: none;
  z-index: 100;
  padding: 4rem;
  margin: 0;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #0f1212;
  filter: opacity(95%);
  backdrop-filter: blur(10px);
  -webkit-backdrop-filter: blur(10px);
}

.galleryContainer {
  position: fixed;
  display: none;
  z-index: 101;
  margin: 0;
  top: 0;
  bottom: 0;
  left: 0;
  width: 100vw;
  justify-content: center; /* poziomo */
  align-items: center;     /* pionowo */
}

.galleryImage {
  display: block;
  margin: 0 auto;       /* Centrowanie w poziomie, jeśli obrazek będzie węższy */
  
  width: auto;          /* Pozwala szerokości dostosować się do proporcji */
  height: auto;         /* Pozwala wysokości dostosować się do proporcji */
  
  max-width: calc(100vw - 4em);     /* Maksymalnie szerokość całego okna */
  max-height: calc(100vh - 4em);    /* Maksymalnie wysokość całego okna */
  
  object-fit: contain;  /* Zapewnia zachowanie proporcji i mieści obraz w kontenerze */
}

.galleryAreaLeft,
.galleryAreaRight {
  position: absolute;
  filter: opacity(0%);
  top: 0;
  bottom: 0;
  width: 30%;
  cursor: pointer;
  transition: 0.25s ease-in-out;
}

.galleryAreaLeft {
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 255, 255, 0) 100%
  );
  left: 0;
}

.galleryAreaRight {
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 1) 100%
  );
  right: 0;
}

.galleryImage {
  box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.5), 0 6px 25px 0 rgba(0, 0, 0, 0.3);
}

.galleryAreaLeft:hover, .galleryAreaRight:hover {
  filter: opacity(20%);
  transition: 0.4s ease-in-out;
}

.galleryAreaLeft:active, .galleryAreaRight:active {
  filter: opacity(60%);
  transition: 0.2s ease-in-out;
}


.list {
  display: flex;
  flex-direction: column;
  width: 80vw !important;
  gap: 1em;
}

.row {
  padding: 0.5em 1em;
  border-style: solid;
  border-width: 1px;
  border-color: #f2f2f2;
  border-radius: 3px;
  box-shadow: 0 0.25em 0.5em 0 rgba(0, 0, 0, 0.04);;
}

.row:hover {
  filter: brightness(115%);
  transition: 250ms ease-in-out;
}

.uploader-drop-arena {
  height: 24em;

  padding: 1em;
  overflow: auto;

  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
  align-content: start;
  gap: 1em;

  text-align: center;
  border-style: dotted;
  border-width: 1px;
  border-color: #d3d3d3;
  border-radius: 3px;
  box-shadow: 0 0.25em 0.5em 0 rgba(0, 0, 0, 0.04);
}

.file-uploader-thumbnail-container {
  position: relative;
  height: 6em;
  width: 6em;
  align-content: stretch;
  cursor: pointer;
}

.file-uploader-thumbnail {
  height: 6em;
  width: 6em;
  background-size: cover;
  opacity: 0.8;
}

.file-uploader-thumbnail:hover {
  opacity: 1.0;
  transition: 150ms ease-in-out;
}


.file-uploader-thumbnail-img {
  height: 6em;
  width: 6em;
}

.file-uploader-thumbnail-text {
  position: absolute;
  bottom: 0;
  padding: 1em;
  font-size: 0.7em;
  color: #ffffff;
}


.file-uploader-thumbnail-delete {
  position: absolute;
  top: 0.25rem;
  right: 0.25rem;
  width: 1.5rem;
  height: 1.5rem;
  opacity: 0.3;
  background-color: #ffffff;
  border-radius: 10em;
  font-size: 0.5em;
}

.file-uploader-thumbnail-delete:hover {
  opacity: 1.0;
  transition: 150ms ease-in-out;
}


.active {
  color:rgb(89, 81, 5);
}

.tags-container {
  margin-left: calc(50% - 40vw);
  margin-right: calc(50% - 40vw);
  padding-top: 3em;
  padding-bottom: 2em;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 0.5em 1.5em;
}

.text-button {
  color: #454545;
  font-family: Oswald, Sans-Serif;
  font-weight: 400;
  text-transform: uppercase;
  white-space: nowrap;
}

.text-button a {
  color: #454545;
}

.text-button a:hover {
  color: rgb(245, 225, 51);
  transition: 0.2s ease-in-out;
}

input, textarea, button {
  font-family: Oswald, Sans-Serif;
  border-color: #e0e0e0;
  border-style: solid;
  border-width: 1px;
  padding: 0.5em;
}

textarea {
  line-height: 1.5em;
}

button {
  width: fit-content;
}

button:hover {
  background-color: rgb(245, 225, 51);
  cursor: pointer;
  transition: 0.25s ease-in-out;
}





figcaption {
  color: #999999;
  font-size: 0.8rem;
  background-color: white;
  z-index: 100;
  text-align: center;
  padding-top: 0.55em;
}



.form {
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 0.5em;
  padding: 1em 5em;
}

.label {
  font-size: 0.9rem;
}

.input, .textarea, .button {
  background-color: #ffffff;
  border-style: solid;
  border-width: 1px;
  border-color: #e2e2e2;
  border-radius: 3px;
  box-shadow: 0 0.25em 0.5em 0 rgba(0, 0, 0, 0.04);;

  font-family: inherit;

  width: 100%;
  height: 1.5em;

  padding-bottom: calc(1.25em - 1px);
  padding-left: calc(1em - 1px);
  padding-right: calc(1em - 1px);
  padding-top: calc(1.25em - 1px);

  flex-grow: 1;
} 

.textarea {
  height: 28em;
}

.button {
  width: 8em;
  cursor: pointer;
  font-size: 0.8rem;
  text-transform: uppercase;

  padding-bottom: 0;
  padding-top: 0;
}

.button:hover {
  background-color: #dfe47f;
  transition: 0.4s;
}

.button:active {
  border:#d9de7c;
  border-style: solid;
  border-width: 2px;
  transform: translateY(1px);
  transition: 0.05s;
}

.button.narrow {
  width: 4em;
}

.button.selected {
  background-color: #dfe47f;
}

.textButton {
  color: #b9bf43;
  cursor: pointer;
}

.textButton:hover {
  color: #d9de7c;
  transition: 150ms ease-in-out;
}

.social-icons {
  display: flex;
  gap: 0.4em;
  align-items: center;
}

.social-icons .icon {
  display: inline-flex;
  fill: #454545;
  width: 2em;
  height: 2em;
  border-radius: 50%;
  justify-content: center;
  align-items: center;
  transition: all 0.3s ease;
  text-decoration: none;
}

.social-icons .icon svg {
  width: 1.35em;
  height: 1.35em;
  transition: fill 0.3s ease;
}

.social-icons .icon:hover {
  transform: scale(1.1);
}

.social-icons .icon.fb:hover svg { fill: #1877F2; }
.social-icons .icon.ig:hover svg { fill: #E1306C; }
.social-icons .icon.tw:hover svg { fill: #1DA1F2; }





@media (min-width: 769px) and (max-width: 1024px) {
  .navigation-strip ul {
    gap: 1rem;
  }
}


@media (max-width: 768px) {
  
  .main {
    padding-top: 0em;
  }

  .navigation-strip {
    position: sticky;
    top: -6em;
    /* clip-path: inset(6em 0 0 0); */

    padding: 2.75em 0 1em 0;
    flex-direction: column;
    gap: 1em;
  }

  .navigation-strip ul {
    flex-wrap: wrap;
    gap: 1rem;
    justify-content: center;
  }


  .navigation-strip ul li {
    height: 1em
  }

  .cards-pack {
    grid-template-columns: 1fr;
  }

  .card {
    width: 100vw; 
  }

  .story {
    padding: 2.5em 1em 0 1em;
  }

  .story > iframe {
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
    width: 100vw; 
    height: 40vh;
  }

  .story > .wider {
    margin-left: calc(50% - 50vw);
    margin-right: calc(50% - 50vw);
  }

  .gallery {
    grid-template-columns: repeat(auto-fit, minmax(120px, 1fr));
    grid-template-rows: repeat(auto-fit, 150px);
  }

  #commentForm > div:first-of-type > div:first-of-type {
    flex-direction: column;
    margin-left: calc(50% - 48vw);
    margin-right: calc(50% - 48vw);
  }

  #commentForm textarea {
    margin-left: calc(50% - 48vw);
    margin-right: calc(50% - 48vw);
  }

  .comments-container > div {
    margin-left: calc(50% - 48vw);
    margin-right: calc(50% - 48vw);
  }

  .galleryContainer {
    display: none;
    align-items: center;
    height: 100vh;
  }

  .galleryImage {
    max-width: 100vw;
    max-height: 100vh;
  }
}
